<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>ipluginpoptoptions.h</name>
    <path>/usr/src/packages/BUILD/src/common/include/</path>
    <filename>ipluginpoptoptions_8h</filename>
    <class kind="interface">HGL::Common::IPluginPoptOptions</class>
  </compound>
  <compound kind="file">
    <name>poptexitexception.h</name>
    <path>/usr/src/packages/BUILD/src/common/include/</path>
    <filename>poptexitexception_8h</filename>
    <class kind="class">HGL::Exception::PoptExitException</class>
  </compound>
  <compound kind="file">
    <name>defaultprerenderoutput.h</name>
    <path>/usr/src/packages/BUILD/src/imageoutput/</path>
    <filename>defaultprerenderoutput_8h</filename>
    <class kind="class">HGL::ImageOutput::DefaultPreRenderOutput</class>
  </compound>
  <compound kind="file">
    <name>writer.h</name>
    <path>/usr/src/packages/BUILD/src/imageoutput/</path>
    <filename>writer_8h</filename>
    <class kind="class">HGL::ImageOutput::Writer</class>
  </compound>
  <compound kind="page">
    <name>iopluginsdetail</name>
    <title>Image Output Plugins in detail</title>
    <filename>iopluginsdetail</filename>
  </compound>
  <compound kind="page">
    <name>cspluginsdetail</name>
    <title>Control Source Plugins in detail</title>
    <filename>cspluginsdetail</filename>
  </compound>
  <compound kind="page">
    <name>cspluginsconcept</name>
    <title>The Concept of Control Sources in HGL</title>
    <filename>cspluginsconcept</filename>
    <docanchor file="cspluginsconcept" title="How it works">howitworks_sec</docanchor>
    <docanchor file="cspluginsconcept" title="An example">example_sec</docanchor>
    <docanchor file="cspluginsconcept" title="Which kind of values can control sources return?">return_sec</docanchor>
    <docanchor file="cspluginsconcept" title="How does the plugins serve the parameters?">serve_sec</docanchor>
  </compound>
  <compound kind="group">
    <name>popt</name>
    <title>Command line options support</title>
    <filename>group__popt.html</filename>
    <class kind="interface">HGL::Common::IPluginPoptOptions</class>
    <class kind="class">HGL::Exception::PoptExitException</class>
  </compound>
  <compound kind="group">
    <name>exceptions</name>
    <title>Exceptions</title>
    <filename>group__exceptions.html</filename>
    <class kind="class">HGL::Exception::PoptExitException</class>
  </compound>
  <compound kind="interface">
    <name>HGL::Common::IPluginPoptOptions</name>
    <filename>classHGL_1_1Common_1_1IPluginPoptOptions.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual struct::poptOption *</type>
      <name>getPoptOptions</name>
      <anchorfile>classHGL_1_1Common_1_1IPluginPoptOptions.html</anchorfile>
      <anchor>a2072f8052047d415a74392fcf37f22d7</anchor>
      <arglist>() const _CONST</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HGL::ControlSource::ParameterFactory</name>
    <filename>classHGL_1_1ControlSource_1_1ParameterFactory.html</filename>
    <member kind="function">
      <type>void</type>
      <name>clearParamVector</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>a0ed61dd7607406fb13a10e5fca63aad6</anchor>
      <arglist>(const ControlSource::IControlSource::PARAMVECTOR &amp;pv) const </arglist>
    </member>
    <member kind="function">
      <type>HGL::Type::StringParam *</type>
      <name>createStringParameter</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>a07680fe5328388dea9ebc86c93c88a6d</anchor>
      <arglist>(const std::string &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>HGL::Type::FloatParam *</type>
      <name>createNumericParameter</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>af19033870cc2fe0bc937bd9a7aba0c73</anchor>
      <arglist>(float f) const </arglist>
    </member>
    <member kind="function">
      <type>HGL::Type::Vector2D *</type>
      <name>createNumericParameter</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>a49f824238eceeff35a293719b72ce9b4</anchor>
      <arglist>(float x, float y) const </arglist>
    </member>
    <member kind="function">
      <type>HGL::Type::FloatParam *</type>
      <name>createNumericParameter</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>abdb2dbf33cc05e8b69665f6fafcee306</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>HGL::Type::ReferenceParam *</type>
      <name>createReferenceParameter</name>
      <anchorfile>classHGL_1_1ControlSource_1_1ParameterFactory.html</anchorfile>
      <anchor>ae05a8d62b8ae6ac19634b3320030a49c</anchor>
      <arglist>(IType *project, const std::string &amp;ref) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HGL::Exception::PoptExitException</name>
    <filename>classHGL_1_1Exception_1_1PoptExitException.html</filename>
    <member kind="function">
      <type></type>
      <name>PoptExitException</name>
      <anchorfile>classHGL_1_1Exception_1_1PoptExitException.html</anchorfile>
      <anchor>a825f1bdf36f7daf1fdb88d44537fdb57</anchor>
      <arglist>(int ret=EXIT_SUCCESS)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getReturnCode</name>
      <anchorfile>classHGL_1_1Exception_1_1PoptExitException.html</anchorfile>
      <anchor>ae949b85cfc11cd211dce9a77004537af</anchor>
      <arglist>() const _PURE</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HGL::ImageOutput::DefaultPreRenderOutput</name>
    <filename>classHGL_1_1ImageOutput_1_1DefaultPreRenderOutput.html</filename>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>announceOutputFilename</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1DefaultPreRenderOutput.html</anchorfile>
      <anchor>a2b576b031a4284c631daefe9200bf40b</anchor>
      <arglist>(const std::string &amp;outputFilename) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HGL::ImageOutput::Writer</name>
    <filename>classHGL_1_1ImageOutput_1_1Writer.html</filename>
    <member kind="function">
      <type></type>
      <name>Writer</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a888b1e0e22f02eeebd975abafd312f34</anchor>
      <arglist>(const std::string &amp;filename, const char *const suffix=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Writer</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a728864e663bdb322f0b5966856103bd2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endWrite</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a2d08205ade161ddd7b77848f9779760b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endWrite</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>af8b08a0d587fdeeabf2f233e6cfedac5</anchor>
      <arglist>(bool noClose)</arglist>
    </member>
    <member kind="function">
      <type>FILE *</type>
      <name>getFile</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a1ca8fe0f805c83f8b6145dc29f629fcf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getHandle</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>af37731beac7d72b561f90d45b422cc2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator FILE *</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a3f99390f907bf6065e3262e07c22e00c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Writer &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>afb4b7713167327270bdb3504705f8c88</anchor>
      <arglist>(const std::string &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>Writer &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classHGL_1_1ImageOutput_1_1Writer.html</anchorfile>
      <anchor>a8c6421e098b9319ac493c6f118a83d39</anchor>
      <arglist>(float f)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/usr/src/packages/BUILD/src/controlsource</name>
    <path>/usr/src/packages/BUILD/src/controlsource/</path>
    <filename>dir_90fb0a92ced83c2367f312491ed98676.html</filename>
    <file>parameterfactory.h</file>
  </compound>
  <compound kind="dir">
    <name>/usr/src/packages/BUILD/developer-doc</name>
    <path>/usr/src/packages/BUILD/developer-doc/</path>
    <filename>dir_9ccd619fe5c9807c07c136ef13f72df0.html</filename>
    <file>mainpage.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Documentation for developers of plugins for HGL</title>
    <filename>index</filename>
    <docanchor file="index" title="Types of plugins">typesofplugins</docanchor>
    <docanchor file="index" title="Image output plugins">ioplugins_sec</docanchor>
    <docanchor file="index" title="Control source plugins">csplugins_sec</docanchor>
    <docanchor file="index" title="Requirements">requirements_sec</docanchor>
  </compound>
</tagfile>
